org.eclipse.wst.jsdt.core.dom

## Class Message

- java.lang.Object
- - org.eclipse.wst.jsdt.core.dom.Message

    public class Message
    extends java.lang.Object

Error message used to report potential errors found during the AST parsing or name resolution. Instances of this class are immutable. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`Message(java.lang.String message, int startPosition)` Creates a message.
`Message(java.lang.String message, int startPosition, int length)` Creates a message.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `getLength()` Returns the length in characters of the original source file indicating where the source fragment corresponding to this message ends.
`java.lang.String` `getMessage()` Returns the localized message.
`int` `getSourcePosition()` Deprecated. Use `getStartPosition()` instead.
`int` `getStartPosition()` Returns the character index into the original source file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Message

    public Message(java.lang.String message,
                   int startPosition)

Creates a message.

Parameters:
  `message` - the localized message reported by the compiler
  `startPosition` - the 0-based character index into the original source file, or `-1` if no source position information is to be recorded for this message
Throws:
  `java.lang.IllegalArgumentException` - if the message is null
  `java.lang.IllegalArgumentException` - if the startPosition is lower than -1.

#### Message

    public Message(java.lang.String message,
                   int startPosition,
                   int length)

Creates a message.

Parameters:
  `message` - the localized message reported by the compiler
  `startPosition` - the 0-based character index into the original source file, or `-1` if no source position information is to be recorded for this message
  `length` - the length in character of the original source file indicating where the source fragment corresponding to this message ends. 0 or a negative number if none. A negative number will be converted to a 0-length.
Throws:
  `java.lang.IllegalArgumentException` - if the message is null
  `java.lang.IllegalArgumentException` - if the startPosition is lower than -1.

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Returns the localized message.

Returns:
  the localized message

#### getSourcePosition

    public int getSourcePosition()

Deprecated. Use `getStartPosition()` instead.
Returns the character index into the original source file.

Returns:
  the 0-based character index, or `-1` if no source position information is recorded for this message
See Also:
  `getLength()`

#### getStartPosition

    public int getStartPosition()

Returns the character index into the original source file.

Returns:
  the 0-based character index, or `-1` if no source position information is recorded for this message
See Also:
  `getLength()`

#### getLength

    public int getLength()

Returns the length in characters of the original source file indicating where the source fragment corresponding to this message ends.

Returns:
  a length, or `0` if no source length information is recorded for this message
See Also:
  `getStartPosition()`